#!/bin/bash

base_mount_cmd="mount -o rw,noatime,nodiratime,lazytime"
base_remount_cmd="mount -o rw,remount,noatime,nodiratime,lazytime"


if [[ ${DATA_DISK_TYPE} == "exfat" ]]; then
  echo "exfat..."
elif [[ ${DATA_DISK_TYPE} == "xfs" ]]; then
  # echo $DATA_DISK_TYPE
  # echo "xfs..."
  base_mount_cmd="${base_mount_cmd},noiversion,noquota"
  base_remount_cmd="${base_remount_cmd},noiversion,attr2,inode64"
elif [[ ${DATA_DISK_TYPE} == "ext4" ]]; then
  echo "ext4..."
  base_mount_cmd="${base_mount_cmd},noiversion,noquota,nobarrier"
  base_remount_cmd="${base_remount_cmd},noiversion,noquota,nobarrier"
else
  echo "data disk type unknown..."
fi

# echo "base_mount_cmd: " ${base_mount_cmd}
# echo "base_remount_cmd: " ${base_remount_cmd}