#!/bin/bash

# set -x
echo "Begin config 10G server"

####################################################################
### Config begin
PEAR_MACHINE_NAME="jyc001"
FILE_SYSTEM="xfs"
PART_SIZE=310
PART_NUMBER=6
DNS=114.114.114.114
FallbackDNS=119.29.29.29


### NETWORK_MODE: DIALPPP or STATICIP
NETWORK_MODE=DIALPPP
DIAL_ACCOUNT_NUMBER=50

MULTI_FIBRE="FALSE"
### Config end
####################################################################

chmod +x /root/gitee/auto_install/*
chmod +x /root/gitee/auto_install/install/*
source /root/gitee/auto_install/install/init.sh
source /root/gitee/auto_install/install/config.sh
source /root/gitee/auto_install/install/install.sh

if [[ "p"${NETWORK_MODE} == "pDIALPPP" && "p"${MULTI_FIBRE} == "pTRUE" ]]; then
	source /root/pear/multidial/multi_fibre.sh
fi



killall -9 pear_ppp_monitor.sh
kill -9  `pgrep pear_ppp_monitor.sh`
nohup /root/pear/multidial/pear_ppp_monitor.sh > /dev/null 2>&1 &
