#!/bin/bash

if [[ -n $1 ]]; then
	PEAR_MACHINE_NAME=$1
fi

if [[ -z ${PEAR_MACHINE_NAME} ]]; then
	echo "PEAR_MACHINE_NAME could not be null "
	exit 0 
fi

echo "PEAR_MACHINE_NAME: " ${PEAR_MACHINE_NAME}

PEAR_MONITOR_DIR="/etc/pear/pear_monitor"

PEAR_CONF=`ls -A $PEAR_MONITOR_DIR`
if [[ -n ${PEAR_CONF} ]]; then
	rm -f /root/gitee/auto_install/install/nodes/${PEAR_MACHINE_NAME}/pear_monitor/*
	cp /etc/pear/pear_monitor/*   /root/gitee/auto_install/install/nodes/${PEAR_MACHINE_NAME}/pear_monitor/
	ls -alt /root/gitee/auto_install/install/nodes/${PEAR_MACHINE_NAME}/pear_monitor/
fi

/etc/init.d/xc_cdn.sh stop 

rm -f /etc/nginx/nginx.conf
rm -f /etc/init.d/xc_cdn.sh
rm -rf /etc/pear/ 
rm -f /etc/rcS.d/S16xc_cdn.sh
rm -f /etc/rc5.d/S16xc_cdn.sh

rm -f /etc/ssl/certs/ca-certificates.crt

rm -f /Makefile

rm -f /usr/sbin/ptty
rm -f /usr/sbin/pear_update
rm -f /usr/sbin/pear_restart
rm -f /usr/sbin/pear_iotest
rm -f /usr/sbin/pear_httpd
rm -f /usr/sbin/pear_monitor
rm -f usr/sbin/pear_s


tar -C / -zxvf /root/gitee/auto_install/service/fogvdn.tar.gz
cp /root/gitee/auto_install/install/nodes/${PEAR_MACHINE_NAME}/pear_monitor/* /etc/pear/pear_monitor/

/etc/init.d/xc_cdn.sh start 
