#!/bin/bash
# added by ym for multi fibre

# fibres=(enp59s0f0 enp59s0f1) for test

fibres=()
veth_file="/root/pear/veth.sh"

function get_all_up_fibres() {

  fibres=()
  netcards=`ip link | grep "state UP" | grep -v -e "veth" -e "ppp" | awk '{print $2}' | tr -d ":"`
  # netcards=`ip link | grep "state" | grep -v -e "veth" -e "ppp" | awk '{print $2}' | tr -d ":"`
  for netcard in ${netcards[@]}
  do
    if ethtool ${netcard} | grep -i FIBRE ; 
    then
      echo "get FIBRE "  ${netcard}
      fibres+=("$netcard")
    fi
    
  done
}

function add_virtural_link_2() {

  dial_number=0
  echo "Please enter the dial number for $1 (fibre netcard) :"
  read dial_number

  for i in `seq 0 $((dial_number-1)) `
  do 
    cmd="ip link add link $1 name veth${veth_index} type macvlan "
    echo ${cmd}
    echo ${cmd} >> ${veth_file}

    veth_index=$(( $veth_index +1 ))
    
    # ${cmd}
  done
}

test -z "$MULTI_FIBRE" && MULTI_FIBRE="FALSE"

# echo $MULTI_FIBRE

if [ "l${MULTI_FIBRE}" = "lTRUE" ] ;
then
    
    veth_index=0
    rm ${veth_file}

    get_all_up_fibres
    echo ${fibres[@]}
    for fibre in ${fibres[@]}
    do
        add_virtural_link_2 $fibre
    done 
    chmod 777 ${veth_file}
fi 

# if test -f /root/pear/veth.sh ;
# then 
#    echo "has veth.sh"
#    source /root/pear/veth.sh
# else
#    echo "no veth.sh"
# fi