/etc/init.d/xc_cdn.sh stop 
containernames=`docker ps -a | grep tencen | awk '{print $NF}'`
for container in ${containernames[@]}
do
	echo "now handle container:   " ${container}

	usedsata=`docker inspect ${container} | grep  sata | grep openfogos | grep lego | awk -F/ '{print $2}'`
	echo "used sata: "  ${usedsata}

	echo "stop container "
	docker stop ${container}

	cmd="umount ${usedsata} "
	echo ${cmd}
	${cmd} 2> temp
	echo ${temp}

	while [[ -z ${temp} ]]; do
		# lsof ${usedsata}
		${cmd} 2> temp
	done


	idlepart=`lsblk | grep part | grep sd | grep -v sata | head -n 1 | awk '{print $1}'|awk -F─ '{print $2}' | awk '{system("echo /dev/" $1)}'   `
	echo "get idle part: "  ${idlepart}

	if [[ -n ${idlepart} ]]; then
		cmd="mount -o rw,noatime,nodiratime,lazytime  ${idlepart}  ${usedsata} "
		echo ${cmd}
		${cmd}
	fi

	mount | grep   ${usedsata} 

	echo "start container "
	docker start   ${container}
	docker ps -a | grep   ${container}  
	echo "continue: y/n"
	read answer
	if [[ ${answer} == 'n' ]]; then
		exit 0
	fi
done
/etc/init.d/xc_cdn.sh start 

