#!/bin/bash

/etc/init.d/xc_cdn.sh stop 
tencent_docker_name=`docker ps   | grep tencent | awk '{print $NF}'`
for running_docker in  ${tencent_docker_name[@]} 
do 
	echo "now stop "   ${running_docker}
	docker stop ${running_docker}
	sleep 5 
done

satadisks=`mount | grep sata  | awk '{print $3}' `
for sataname in ${satadisks}; do
	umountresult=`umount ${sataname} 2>&1`
	while [[ -z ${umountresult} ]]; do
		sleep 2
		umountresult=`umount ${sataname} 2>&1`
	done
done

sleep 1200

/root/pear/pear_remount.sh
count=`mount | grep sata | wc -l`
while [[ ${count} -lt 100 ]]; do
	sleep 2
	count=`mount | grep sata | wc -l`
done

for running_docker in  ${tencent_docker_name[@]} 
do 
	echo "now start  "   ${running_docker}
	docker start  ${running_docker}
	sleep 5 
done
/etc/init.d/xc_cdn.sh start 
