#!/bin/bash

#静态ip配置脚本
netplan apply
nics=$(ip -o a | grep eth | grep -v inet6 | awk '{print $2}')
mask=100
#gate=111.59.171.129
for nic in ${nics[@]}
do
	addr=$(ifconfig $nic | grep inet | grep -v inet6 | awk '{print $2}')
	if [[ $nic == eth0 ]]; then
		gate=192.168.1.1
	else
		gate=39.164.21.1
	fi
	echo $nic $gate
	echo $mask $nic >> /etc/iproute2/rt_tables
	brctl delif br-lan $nic
	ip route flush table $nic
	ip rule add from $addr table $nic pref 200
	ip route replace default dev $nic table $nic via $gate
	mask=$(($mask + 10))
	sleep 5
done

