#!/bin/bash
# Only test in 2U server

echo "!!! Only test in 2U server"
echo ""

index=`seq 1 6`
#index=(1 2 3 4 5 6)

normal=`ls -l  /dev/disk/by-path/ | grep sd  | awk '{print $9"-"$11}'`
   #echo "Successful disk index : " $normal

for e in ${normal[@]}
do
   normal_index=`echo $e | awk -F '-' '{print $4 }'`
   #echo $normal_index
   normal_label=`echo $e | awk -F '/' '{print $3 }'`
   #echo $normal_label
   details=`lsblk --nodeps -no name,serial,type,tran | grep $normal_label`
   echo "Successful disk index :" $normal_index "------>>" $details
done
echo "-----------------------------------------------------------------------------------------------"
normal=`ls -l  /dev/disk/by-path/ | grep sd  | awk '{print $9}' | awk -F '-' '{print $4 }'`
for i in $index
do
	if echo "${normal[@]}" | grep -w $i &>/dev/null; 
	then
	  continue
	else
	  echo "Fail disk index : $i"
	fi
done

echo "-----------------------------------------------------------------------------------------------"

echo "建议配置服务器的时候索引大小, 遵循从左到右,从上到下的规则"
echo "-- 2U机器硬盘物理索引示意图 --"
echo "|    1   |    2   |"
echo "|    3   |    4   |"
echo "|    5   |    6   |"

exit 0
