DATA_DISK_TYPE="exfat"
parts=` lsblk -o KNAME,FSTYPE,TYPE,MOUNTPOINT | grep -v exfat | grep sd | grep part | awk '{system("echo /dev/" $1)}'`
for part in ${parts[@]}
do
  if [[ ${DATA_DISK_TYPE} == "exfat" ]]; then
    cmd="mkfs.exfat    ${part}${i}"
  elif [[ ${DATA_DISK_TYPE} == "xfs" ]]; then
    cmd="mkfs.xfs  -f  ${part}${i}"
  elif [[ ${DATA_DISK_TYPE} == "ext4" ]]; then
    cmd="mkfs.ext4  -F -O ^has_journal -T largefile  ${part}${i} "
  fi

  echo ${cmd}
  ${cmd} 
done 
