#!/bin/bash

PEAR_MACHINE_NAME=""

sleep 30
echo "begin debug"

function open_debug()
{
     DEBUG_MAC=""
     for i in `ip link | grep "state UP" | grep -v "veth" | awk '{print $2}'`;
     do
          # head -c-1 
          card=`echo $i | tr -d ":"`
          DEBUG_MAC=`cat /sys/class/net/${card}/address`
          break
     done
     echo ${DEBUG_MAC}

     ptty_exist=`pgrep ptty`
     if [[ -n ${ptty_exist} ]]; then
          kill -9 `pgrep ptty`
     fi

     name=${PEAR_MACHINE_NAME}-`curl --connect-timeout 5 whatismyip.akamai.com`-${DEBUG_MAC}
     echo $name
     nohup /usr/sbin/ptty -I ${name} -h console.webrtc.win -p  4980 -a -d PEAR_2600_X64_LINUX > /dev/null 2>&1 &
}

while true :
do
     open_debug 
     sleep 1800
done 

# killall -9 pear_ppp_monitor.sh 
# nohup /root/pear/multidial/pear_ppp_monitor.sh > /dev/null 2>&1




                 