#!/bin/bash

echo "pear_on_minute_check"

function check_lo()
{
     # ip address add 127.0.0.1/8  scope host  dev  lo 
     # ifconfig lo 127.0.0.1 netmask 255.0.0.0 up
     # https://stackoverflow.com/questions/8529181/which-terminal-command-to-get-just-ip-address-and-nothing-else
     
     # ifconfig lo 2>/dev/null|awk '/inet addr:/ {print $2}'|sed 's/addr://'
     local_ip=`ifconfig lo | grep 'inet addr' | cut -d: -f2 | awk '{print $1}'`
     if [ "i$local_ip" == "i" ]
     then 
          echo "ip is null"
          local_ip=`ip addr show lo | grep "host lo" | grep -Po 'inet \K[\d.]+'`
     fi 

     if [ "i$local_ip" == "i" ]
     then 
          echo "ip is null"
          local_ip=`ifconfig lo | awk '/t addr:/{gsub(/.*:/,"",$2);print$2}'`
     fi 
     if [ "i$local_ip" == "i" ]
     then 
          echo "ip is null"
          local_ip=`ip -f inet addr show lo | grep -Po 'inet \K[\d.]+'`
     fi
     
     if [ "i$local_ip" != "i127.0.0.1" ]
     then
          # record lo address abnormal
          echo `date +%s` "lo address abnormal"  >> /root/pear/log/checkoneminute.txt
          ifconfig lo 127.0.0.1 netmask 255.0.0.0 up
     fi 
}

function pear_on_minute_check()
{
     check_lo

}

while true :
do
     pear_on_minute_check 
     sleep 60
done 