#!/bin/bash

killall pear_ppp_monitor.sh
/etc/init.d/xc_cdn.sh stop 
tencent_docker_name=`docker ps   | grep tencent | awk '{print $NF}'`
for running_docker in  ${tencent_docker_name[@]} 
do 
	echo `date +%Y%m%d_%H%M%S` ",now stop "   ${running_docker}
	docker stop ${running_docker}
	sleep 3
done

satadisks=`mount | grep sata  | awk '{print $3}' `

# for sataname in ${satadisks}; do
# 	fstrim -v ${sataname}
# 	fstrim_result=$?
# 	case ${fstrim_result} in
# 		0 )
# 			echo "fstrim ${sataname} success"
# 			;;
# 		1 )
# 			echo "fstrim ${sataname} failure"
# 			;;
# 		32)
# 			echo "fstrim ${sataname} all failed"
# 			;;
# 		64)
# 			echo "fstrim ${sataname} some filesystem discards have succeeded, some failed"
# 			;;
# 		* )
# 			echo "fstrim ${sataname} return ${fstrim_result}"
# 	esac

# 	umountresult=`umount ${sataname} 2>&1`
# 	while [[ -z ${umountresult} ]]; do
# 		sleep 2
# 		umountresult=`umount ${sataname} 2>&1`
# 	done
# done

for sataname in ${satadisks}; do
	umountresult=`umount ${sataname} 2>&1`
	while [[ -z ${umountresult} ]]; do
		sleep 2
		umountresult=`umount ${sataname} 2>&1`
	done
done

echo `date +%Y%m%d_%H%M%S` ",now sleep 600 second "
sleep 600
/root/pear/pear_remount.sh

count=`mount | grep sata | wc -l`
if [[ ${count} -lt 100 ]]; then
	sleep 5
	count=`mount | grep sata | wc -l`
	if [[  ${count} -lt 100 ]]; then
		/root/pear/pear_mount_on_running.sh
	fi
fi

for running_docker in  ${tencent_docker_name[@]} 
do 
	echo `date +%Y%m%d_%H%M%S` ",now start  "   ${running_docker}
	docker start  ${running_docker}
done

count=`docker ps | grep tencent | wc -l`
if [[ ${count} -lt 100 ]]; then
	sleep 5
fi

/etc/init.d/xc_cdn.sh start 

killall pear_ppp_monitor.sh
kill -9  `pgrep pear_ppp_monitor.sh`
nohup /root/pear/multidial/pear_ppp_monitor.sh >> /root/pear/log/pear_ppp_monitor.log  2>&1   &
