tc_mp4="tjg_1528185229_1047_91bdaea751dc4550bce71f86d302vide.f0.mp4"
tencent_down_test() {
  touch ${LOGDIR}/ip.md
  ifconfig > ${LOGDIR}/ip.md
  ips=`cat ${LOGDIR}/ip.md | grep destination | awk '{print $2}'`
  down_ts=`date +%s`
  mkdir -p ${LOGDIR}/tencent/${down_ts}
  j=1
  for((i=1;i<=j;i++));
  do
    for ip in ${ips[@]}
    do
      echo ${ip}
      ppp=`cat ${LOGDIR}/ip.md | grep -B 1 ${ip} | head -1 | awk '{print $1}'`
      echo ${ppp}
      nc -zv -w 3 ${ip} 49155 2>>"${LOGDIR}/tencent/"${down_ts}"/"${i}"_"${ip}"_49155.txt" 
      curl -r 0-262144 -i -vs -o "${LOGDIR}/tencent/"${down_ts}"/"${ip}".mp4"  "http://"${ip}":49155/"${tc_mp4} -H  "Host:  fogdc.detect.com"  2>"${LOGDIR}/tencent/"${down_ts}"/"${ip}".result"
    done
  done
}

docker_down_test() {
  declare -a FAIL_CONTAINERS
  sed -i '/docker test/d'   /root/pear/${PEAR_MACHINE_NAME}_parm.conf

  if [ ! -d ${LOGDIR}/tencentdocker ]; then
    mkdir -p  ${LOGDIR}/tencentdocker
  else
    cd ${LOGDIR}/tencentdocker 
    rm -rf  ${LOGDIR}/tencentdocker/*
  fi
  
  docker_down_ts=`date +%s`
  DLOG="${LOGDIR}/tencentdocker/${docker_down_ts}"
  mkdir -p ${DLOG}

  docker ps -a | grep tencen | awk '{print $NF}' | awk  '{system("echo "  $1 "; docker inspect  " $1 " | grep NIC")}'  | sed ':label;N;s/\n//;b label'| sed -e 's/,/\n/g' | sed -e 's/\"//g' | awk -FNIC= '{print $1 " " $2}' | sed -e 's/  //g' | sort  > ${DLOG}/result.txt

  # tencent_sv_49_v018 ppp49
  dockernames=`cat ${DLOG}/result.txt | awk '{print $1}'`
  
  echo "begin test every tencent container ......"
  for dockername  in ${dockernames[@]}
  do 
    pppname=`cat ${DLOG}/result.txt | grep ${dockername} | awk '{print $2}'`
    ipaddr=`ip -o addr | grep ${pppname}' ' | awk '{print $4}'`
   
    cmd="ping -c 2 -I ${pppname} qq.com "
    # echo ${cmd} 
    cmdresult=`${cmd} 2>&1`
    echo  ${dockername} "," ${pppname} "," ${ipaddr} ": " ${cmdresult} >>  ${DLOG}/pingresult.txt

    cmd="nc -zv -w 3 ${ipaddr} 49155"
    # echo ${cmd} 
    cmdresult=`${cmd} 2>&1`
    echo  ${dockername} "," ${pppname} "," ${ipaddr} ": " ${cmdresult} >>  ${DLOG}/ncresult.txt

    cmd="curl -r 0-262144 -i -vs -o ${DLOG}/${ipaddr}.mp4 http://${ipaddr}:49155/${tc_mp4} -H \"Host: fogdc.detect.com\""
    # echo ${cmd}

    curl -r 0-262144 -i -vs -o ${DLOG}/${ipaddr}.mp4 http://${ipaddr}:49155/${tc_mp4} -H "Host: fogdc.detect.com" > ${DLOG}"/"${ipaddr}"_result.txt"   2>&1 

    result=`cat ${DLOG}"/"${ipaddr}"_result.txt" | grep '206 Partial Content'`
    if [[ -z ${result} ]]; then
      echo ${dockername}  " down file fail"
      echo "docker test: " ${cmd}  >> /root/pear/${PEAR_MACHINE_NAME}_parm.conf
      echo "docker test: " ${dockername} "," ${pppname} "," ${ipaddr}, "down file fail "  >>  /root/pear/${PEAR_MACHINE_NAME}_parm.conf

      FAIL_CONTAINERS[${#FAIL_CONTAINERS[@]}]=${dockername}
    fi
  done 
  echo "finished test tencent container!"

  FAIL_CONTAINERS_NUMBER=${#FAIL_CONTAINERS[@]}
  echo "Total fail container : " ${FAIL_CONTAINERS_NUMBER}

  echo "restart fail container ......."
  for failcontainer in ${FAIL_CONTAINERS[@]}
  do
    docker stop ${failcontainer}
  done

  for failcontainer in ${FAIL_CONTAINERS[@]}
  do
    docker start ${failcontainer}
  done

  echo "finished restart faile containers !"

}